package Source::Bundle::Factory;

use Cwd;
use Carp;
use strict;
use warnings;

use Source::Bundle::Archive;
use Source::Bundle::Dir;

#use File::Path qw(make_path remove_tree);
#use File::Temp qw/tempfile tempdir/;
use File::Basename;

our $VERSION=0.001;

sub create {
    my $class = shift;
    my $file=shift;
    -d $file && return Source::Bundle::Dir->new(@_,-file=>$file);
    #TODO: -f $file and $file=~/\.rar$/ -> unpack to dir
    -f $file && return Source::Bundle::Archive->new(@_,-file=>$file);
    die "SourceBundle: $file not found\n";
}

1;
